SAP Knowledge Base Article - Preview

2999186 - Oracle upgrade fails with ERROR OCINlsEnvironmentVariableGet

Symptom

Upgrading oracle to release 19c fails with ERROR OCINlsEnvironmentVariableGet

The catupgrd_datapatch_upgrade.log shows the following error:

SQL Patching tool version 19.3.0.0.0 Production on Mon Nov 30 15:46:41 2020
Copyright (c) 2012, 2019, Oracle. All rights reserved.

Log file for this invocation: D:\oracle\QGB\cfgtoollogs\sqlpatch\sqlpatch_7256_2020_11_30_15_46_41\sqlpatch_invocation.log

Connecting to database...
Error: prereq checks failed!
Database connect failed with: ERROR OCINlsEnvironmentVariableGet(OCI_NLS_CHARSET_ID) Check NLS settings etc.

Please refer to MOS Note 1609718.1 and/or the invocation log
D:\oracle\QGB\cfgtoollogs\sqlpatch\sqlpatch_7256_2020_11_30_15_46_41\sqlpatch_invocation.log
for information on how to resolve the above errors.

SQL Patching tool complete on Mon Nov 30 15:46:41 2020


Read more...

Environment

oracle,  windows

Keywords

oci.dll upgrade DBUA windows oracle ERROR OCINlsEnvironmentVariableGet , KBA , BC-DB-ORA , Oracle , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.